This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 861639

Summary: Fast User Switch does not require a password to login to other account after logout of one account
Product: [Fedora] Fedora Reporter: Adam Joseph Cook <acook>
Component: gdmAssignee: Ray Strode [halfline] <rstrode>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 18CC: collura, extras-orphan, maurizio.antillon, mclasen, notting, rstrode
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-02-05 07:23:08 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Adam Joseph Cook 2012-09-29 12:07:13 EDT
Description of problem:
On my Fedora 18 test system there are two user accounts - 'newyork' and 'detroit'. Both accounts have passwords. User 'newyork' is an Administrator account and 'detroit' is a Standard account. When logged into account 'newyork', if one fast user switches to account 'detroit', the system returns back to account 'newyork' upon logout (not another user switch, but logout) of account 'detroit'. A login prompt IS presented IF the user SWITCHES out of 'detroit'.

This represents a security risk as Administrative user 'newyork' could have switched out of that account and logged in to another account only to leave the computer unintended. A malicious user could, theoretically, gain access to the Administrative account 'newyork' simply by logging out of the account on-screen.

Waiting at least 5 minutes in the Standard account ('detroit') before logging out does not make any difference.

Version-Release number of selected component (if applicable):
gdm-3.6.0-1.fc18.x86_64

How reproducible:


Steps to Reproduce:
1. Logon to Administrative account.
2. Fast user switch (via clicking on the account name in the upper-right of the GNOME desktop -> Switch User)
3. Logon to Standard account.
4. 
  
Actual results:

Sep 29 10:36:08 altair dbus-daemon[468]: dbus[468]: [system] Activating service name='net.reactivated.Fprint' (using servicehelper)
Sep 29 10:36:08 altair dbus[468]: [system] Activating service name='net.reactivated.Fprint' (using servicehelper)
Sep 29 10:36:08 altair dbus-daemon[468]: Launching FprintObject
Sep 29 10:36:08 altair dbus-daemon[468]: dbus[468]: [system] Successfully activated service 'net.reactivated.Fprint'
Sep 29 10:36:08 altair dbus[468]: [system] Successfully activated service 'net.reactivated.Fprint'
Sep 29 10:36:08 altair dbus-daemon[468]: ** Message: D-Bus service launched with name: net.reactivated.Fprint
Sep 29 10:36:08 altair dbus-daemon[468]: ** Message: entering main loop
Sep 29 10:36:38 altair dbus-daemon[468]: ** Message: No devices in use, exit
Sep 29 10:39:28 altair systemd-tmpfiles[3734]: [/etc/tmpfiles.d/jetty.conf:1] Unknown user 'jetty'.
Sep 29 10:39:28 altair systemd-tmpfiles[3734]: stat(/run/user/1000/gvfs) failed: Permission denied
Sep 29 10:39:29 altair systemd[1]: systemd-tmpfiles-clean.service: main process exited, code=exited, status=1
Sep 29 10:39:29 altair systemd[1]: Unit systemd-tmpfiles-clean.service entered failed state.
Sep 29 10:40:58 altair dbus-daemon[468]: dbus[468]: [system] Rejected send message, 1 matched rules; type="method_call", sender=":1.2" (uid=0 pid=483 comm="/usr/sbin/gdm-binary ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.206" (uid=0 pid=3737 comm="/usr/libexec/gdm-simple-slave --display-id /org/gn")
Sep 29 10:40:58 altair dbus[468]: [system] Rejected send message, 1 matched rules; type="method_call", sender=":1.2" (uid=0 pid=483 comm="/usr/sbin/gdm-binary ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.206" (uid=0 pid=3737 comm="/usr/libexec/gdm-simple-slave --display-id /org/gn")
Sep 29 10:40:59 altair systemd-logind[459]: New session 7 of user gdm.
Sep 29 10:40:59 altair systemd-logind[459]: Linked /tmp/.X11-unix/X1 to /run/user/42/X11-display.
Sep 29 10:41:00 altair kernel: [  990.195499] [drm:drm_debugfs_create_files] *ERROR* Cannot create /sys/kernel/debug/dri/channel/7
Sep 29 10:41:00 altair rtkit-daemon[836]: Successfully made thread 3793 of process 3793 (/usr/bin/pulseaudio) owned by '42' high priority at nice level -11.
Sep 29 10:41:02 altair kernel: [  992.796232] [drm:drm_debugfs_create_files] *ERROR* Cannot create /sys/kernel/debug/dri/channel/7
Sep 29 10:41:04 altair dbus-daemon[468]: dbus[468]: [system] Activating service name='net.reactivated.Fprint' (using servicehelper)
Sep 29 10:41:04 altair dbus[468]: [system] Activating service name='net.reactivated.Fprint' (using servicehelper)
Sep 29 10:41:04 altair dbus-daemon[468]: Launching FprintObject
Sep 29 10:41:04 altair dbus-daemon[468]: dbus[468]: [system] Successfully activated service 'net.reactivated.Fprint'
Sep 29 10:41:04 altair dbus[468]: [system] Successfully activated service 'net.reactivated.Fprint'
Sep 29 10:41:04 altair dbus-daemon[468]: ** Message: D-Bus service launched with name: net.reactivated.Fprint
Sep 29 10:41:04 altair dbus-daemon[468]: ** Message: entering main loop
Sep 29 10:41:04 altair dbus-daemon[468]: dbus[468]: [system] Activating service name='org.freedesktop.realmd' (using servicehelper)
Sep 29 10:41:04 altair dbus[468]: [system] Activating service name='org.freedesktop.realmd' (using servicehelper)
Sep 29 10:41:04 altair dbus-daemon[468]: dbus[468]: [system] Successfully activated service 'org.freedesktop.realmd'
Sep 29 10:41:04 altair dbus[468]: [system] Successfully activated service 'org.freedesktop.realmd'
Sep 29 10:41:04 altair realmd:  * Looking up our DHCP domain
Sep 29 10:41:04 altair realmd:  * Discovering for DHCP domain: cable.rcn.com
Sep 29 10:41:04 altair realmd:  * Searching for kerberos SRV records for domain: _kerberos._udp.cable.rcn.com
Sep 29 10:41:04 altair realmd:  * Searching for MSDCS SRV records on domain: _kerberos._tcp.dc._msdcs.cable.rcn.com
Sep 29 10:41:04 altair realmd:  * yourmom.cable.rcn.net:88
Sep 29 10:41:04 altair realmd:  * Trying to retrieve IPA certificate from yourmom.cable.rcn.net
Sep 29 10:41:04 altair dbus-daemon[468]: ** (realmd:3821): CRITICAL **: unable to create directory '/root/.cache/dconf': Not a directory.  dconf will not work properly.
Sep 29 10:41:04 altair dbus-daemon[468]: ** (realmd:3821): CRITICAL **: unable to create directory '/root/.cache/dconf': Not a directory.  dconf will not work properly.
Sep 29 10:41:04 altair dbus-daemon[468]: ** (realmd:3821): CRITICAL **: unable to create directory '/root/.cache/dconf': Not a directory.  dconf will not work properly.
Sep 29 10:41:04 altair dbus-daemon[468]: ** (realmd:3821): CRITICAL **: unable to create directory '/root/.cache/dconf': Not a directory.  dconf will not work properly.
Sep 29 10:41:04 altair dbus-daemon[468]: ** (realmd:3821): CRITICAL **: unable to create directory '/root/.cache/dconf': Not a directory.  dconf will not work properly.
Sep 29 10:41:04 altair dbus-daemon[468]: ** (realmd:3821): CRITICAL **: unable to create directory '/root/.cache/dconf': Not a directory.  dconf will not work properly.
Sep 29 10:41:04 altair dbus-daemon[468]: ** (realmd:3821): CRITICAL **: unable to create directory '/root/.cache/dconf': Not a directory.  dconf will not work properly.
Sep 29 10:41:04 altair dbus-daemon[468]: ** (realmd:3821): CRITICAL **: unable to create directory '/root/.cache/dconf': Not a directory.  dconf will not work properly.
Sep 29 10:41:04 altair dbus-daemon[468]: ** (realmd:3821): CRITICAL **: unable to create directory '/root/.cache/dconf': Not a directory.  dconf will not work properly.
Sep 29 10:41:04 altair dbus-daemon[468]: ** (realmd:3821): CRITICAL **: unable to create directory '/root/.cache/dconf': Not a directory.  dconf will not work properly.
Sep 29 10:41:04 altair dbus-daemon[468]: ** (realmd:3821): CRITICAL **: unable to create directory '/root/.cache/dconf': Not a directory.  dconf will not work properly.
Sep 29 10:41:04 altair dbus-daemon[468]: ** (realmd:3821): CRITICAL **: unable to create directory '/root/.cache/dconf': Not a directory.  dconf will not work properly.
Sep 29 10:41:04 altair dbus-daemon[468]: ** (realmd:3821): CRITICAL **: unable to create directory '/root/.cache/dconf': Not a directory.  dconf will not work properly.
Sep 29 10:41:04 altair dbus-daemon[468]: ** (realmd:3821): CRITICAL **: unable to create directory '/root/.cache/dconf': Not a directory.  dconf will not work properly.
Sep 29 10:41:04 altair dbus-daemon[468]: ** (realmd:3821): CRITICAL **: unable to create directory '/root/.cache/dconf': Not a directory.  dconf will not work properly.
Sep 29 10:41:04 altair dbus-daemon[468]: ** (realmd:3821): CRITICAL **: unable to create directory '/root/.cache/dconf': Not a directory.  dconf will not work properly.
Sep 29 10:41:04 altair dbus-daemon[468]: ** (realmd:3821): CRITICAL **: unable to create directory '/root/.cache/dconf': Not a directory.  dconf will not work properly.
Sep 29 10:41:04 altair dbus-daemon[468]: ** (realmd:3821): CRITICAL **: unable to create directory '/root/.cache/dconf': Not a directory.  dconf will not work properly.
Sep 29 10:41:04 altair dbus-daemon[468]: ** (realmd:3821): CRITICAL **: unable to create directory '/root/.cache/dconf': Not a directory.  dconf will not work properly.
Sep 29 10:41:04 altair dbus-daemon[468]: ** (realmd:3821): CRITICAL **: unable to create directory '/root/.cache/dconf': Not a directory.  dconf will not work properly.
Sep 29 10:41:04 altair dbus-daemon[468]: ** (realmd:3821): CRITICAL **: unable to create directory '/root/.cache/dconf': Not a directory.  dconf will not work properly.
Sep 29 10:41:04 altair dbus-daemon[468]: ** (realmd:3821): CRITICAL **: unable to create directory '/root/.cache/dconf': Not a directory.  dconf will not work properly.
Sep 29 10:41:09 altair realmd:  * Found kerberos DNS records for: cable.rcn.com
Sep 29 10:41:09 altair realmd:  * Successfully discovered: cable.rcn.com
Sep 29 10:41:24 altair systemd-logind[459]: New session 8 of user detroit.
Sep 29 10:41:24 altair gnome-session[3756]: WARNING: Detected that screensaver has left the bus
Sep 29 10:41:24 altair gnome-session[3756]: CRITICAL: gsm_manager_set_phase: assertion `GSM_IS_MANAGER (manager)' failed
Sep 29 10:41:26 altair spice-vdagent[4047]: Missing virtio device '/dev/virtio-ports/com.redhat.spice.0': No such file or directory
Sep 29 10:41:26 altair rtkit-daemon[836]: Successfully made thread 4053 of process 4053 (/usr/bin/pulseaudio) owned by '1001' high priority at nice level -11.
Sep 29 10:41:26 altair pulseaudio[4053]: [pulseaudio] pid.c: Daemon already running.
Sep 29 10:41:27 altair dbus-daemon[468]: dbus[468]: [system] Activating service name='org.freedesktop.PackageKit' (using servicehelper)
Sep 29 10:41:27 altair dbus[468]: [system] Activating service name='org.freedesktop.PackageKit' (using servicehelper)
Sep 29 10:41:27 altair dbus-daemon[468]: dbus[468]: [system] Successfully activated service 'org.freedesktop.PackageKit'
Sep 29 10:41:27 altair dbus[468]: [system] Successfully activated service 'org.freedesktop.PackageKit'
Sep 29 10:41:30 altair goa[4221]: goa-daemon version 3.6.0 starting [main.c:112, main()]
Sep 29 10:41:30 altair realmd:  * Looking up our DHCP domain
Sep 29 10:41:30 altair realmd:  * Discovering for DHCP domain: cable.rcn.com
Sep 29 10:41:30 altair realmd:  * Searching for kerberos SRV records for domain: _kerberos._udp.cable.rcn.com
Sep 29 10:41:30 altair realmd:  * Searching for MSDCS SRV records on domain: _kerberos._tcp.dc._msdcs.cable.rcn.com
Sep 29 10:41:30 altair realmd:  * yourmom.cable.rcn.net:88
Sep 29 10:41:30 altair realmd:  * Trying to retrieve IPA certificate from yourmom.cable.rcn.net
Sep 29 10:41:34 altair dbus-daemon[468]: ** Message: No devices in use, exit
Sep 29 10:41:35 altair realmd:  * Found kerberos DNS records for: cable.rcn.com
Sep 29 10:41:35 altair realmd:  * Successfully discovered: cable.rcn.com
Sep 29 10:41:44 altair systemd-logind[459]: Removed session 7.
Sep 29 10:43:13 altair abrt: detected unhandled Python exception in 'nautilus'
Sep 29 10:43:14 altair dbus-daemon[468]: dbus[468]: [system] Activating via systemd: service name='org.freedesktop.hostname1' unit='dbus-org.freedesktop.hostname1.service'
Sep 29 10:43:14 altair dbus[468]: [system] Activating via systemd: service name='org.freedesktop.hostname1' unit='dbus-org.freedesktop.hostname1.service'
Sep 29 10:43:14 altair dbus-daemon[468]: dbus[468]: [system] Successfully activated service 'org.freedesktop.hostname1'
Sep 29 10:43:14 altair dbus[468]: [system] Successfully activated service 'org.freedesktop.hostname1'
Sep 29 10:44:48 altair gnome-session[3843]: CRITICAL: gsm_manager_set_phase: assertion `GSM_IS_MANAGER (manager)' failed
Sep 29 10:44:48 altair gnome-session[3843]: Gtk-CRITICAL: gtk_main_quit: assertion `main_loops != NULL' failed
Sep 29 10:44:48 altair goa[4221]: goa-daemon version 3.6.0 exiting [main.c:154, main()]
Sep 29 10:44:48 altair NetworkManager[528]: <warn> error requesting auth for org.freedesktop.NetworkManager.settings.modify.system: (3) GDBus.Error:org.freedesktop.DBus.Error.NameHasNoOwner: GDBus.Error:org.freedesktop.DBus.Error.NameHasNoOwner: Could not get UID of name ':1.249': no such name
Sep 29 10:44:48 altair NetworkManager[528]: <warn> error requesting auth for org.freedesktop.NetworkManager.settings.modify.own: (3) GDBus.Error:org.freedesktop.DBus.Error.NameHasNoOwner: GDBus.Error:org.freedesktop.DBus.Error.NameHasNoOwner: Could not get UID of name ':1.249': no such name
Sep 29 10:44:48 altair NetworkManager[528]: <warn> error requesting auth for org.freedesktop.NetworkManager.settings.modify.hostname: (3) GDBus.Error:org.freedesktop.DBus.Error.NameHasNoOwner: GDBus.Error:org.freedesktop.DBus.Error.NameHasNoOwner: Could not get UID of name ':1.249': no such name
Sep 29 10:44:48 altair NetworkManager[528]: <warn> error requesting auth for org.freedesktop.NetworkManager.enable-disable-network: (3) GDBus.Error:org.freedesktop.DBus.Error.NameHasNoOwner: GDBus.Error:org.freedesktop.DBus.Error.NameHasNoOwner: Could not get UID of name ':1.242': no such name
Sep 29 10:44:48 altair NetworkManager[528]: <warn> error requesting auth for org.freedesktop.NetworkManager.sleep-wake: (3) GDBus.Error:org.freedesktop.DBus.Error.NameHasNoOwner: GDBus.Error:org.freedesktop.DBus.Error.NameHasNoOwner: Could not get UID of name ':1.242': no such name
Sep 29 10:44:48 altair NetworkManager[528]: <warn> error requesting auth for org.freedesktop.NetworkManager.enable-disable-wifi: (3) GDBus.Error:org.freedesktop.DBus.Error.NameHasNoOwner: GDBus.Error:org.freedesktop.DBus.Error.NameHasNoOwner: Could not get UID of name ':1.242': no such name
Sep 29 10:44:48 altair NetworkManager[528]: <warn> error requesting auth for org.freedesktop.NetworkManager.enable-disable-wwan: (3) GDBus.Error:org.freedesktop.DBus.Error.NameHasNoOwner: GDBus.Error:org.freedesktop.DBus.Error.NameHasNoOwner: Could not get UID of name ':1.242': no such name
Sep 29 10:44:48 altair gdm-simple-slave[3737]: GLib-GObject-CRITICAL: g_object_ref: assertion `object->ref_count > 0' failed
Sep 29 10:44:48 altair gdm-simple-slave[3737]: GLib-GObject-CRITICAL: g_object_unref: assertion `object->ref_count > 0' failed
Sep 29 10:44:48 altair NetworkManager[528]: <warn> error requesting auth for org.freedesktop.NetworkManager.enable-disable-wimax: (3) GDBus.Error:org.freedesktop.DBus.Error.NameHasNoOwner: GDBus.Error:org.freedesktop.DBus.Error.NameHasNoOwner: Could not get UID of name ':1.242': no such name
Sep 29 10:44:48 altair NetworkManager[528]: <warn> error requesting auth for org.freedesktop.NetworkManager.network-control: (3) GDBus.Error:org.freedesktop.DBus.Error.NameHasNoOwner: GDBus.Error:org.freedesktop.DBus.Error.NameHasNoOwner: Could not get UID of name ':1.242': no such name
Sep 29 10:44:48 altair NetworkManager[528]: <warn> error requesting auth for org.freedesktop.NetworkManager.wifi.share.protected: (3) GDBus.Error:org.freedesktop.DBus.Error.NameHasNoOwner: GDBus.Error:org.freedesktop.DBus.Error.NameHasNoOwner: Could not get UID of name ':1.242': no such name
Sep 29 10:44:48 altair NetworkManager[528]: <warn> error requesting auth for org.freedesktop.NetworkManager.wifi.share.open: (3) GDBus.Error:org.freedesktop.DBus.Error.NameHasNoOwner: GDBus.Error:org.freedesktop.DBus.Error.NameHasNoOwner: Could not get UID of name ':1.242': no such name
Sep 29 10:44:48 altair NetworkManager[528]: <warn> error requesting auth for org.freedesktop.NetworkManager.settings.modify.system: (3) GDBus.Error:org.freedesktop.DBus.Error.NameHasNoOwner: GDBus.Error:org.freedesktop.DBus.Error.NameHasNoOwner: Could not get UID of name ':1.242': no such name

Sep 29 10:03:15 altair polkitd[559]: Operator of unix-session:2 successfully authenticated as unix-user:newyork to gain TEMPORARY authorization for action org.gnome.controlcenter.user-accounts.administration for unix-process:3278:724943 [gnome-control-center --overview] (owned by unix-user:newyork)
Sep 29 10:05:31 altair accounts-daemon: request by system-bus-name::1.97 [gnome-control-center --overview pid:3278 uid:1000]: create user 'detroit'
Sep 29 10:05:31 altair useradd[3311]: new group: name=detroit, GID=1001
Sep 29 10:05:31 altair useradd[3311]: new user: name=detroit, UID=1001, GID=1001, home=/home/detroit, shell=/bin/bash
Sep 29 10:06:07 altair accounts-daemon: request by system-bus-name::1.97 [gnome-control-center --overview pid:3278 uid:1000]: set password and hint of user 'detroit' (1001)
Sep 29 10:06:07 altair usermod[3316]: change user 'detroit' password
Sep 29 10:06:42 altair gdm-launch-environment][3339]: pam_unix(gdm-launch-environment:session): session opened for user gdm by (uid=0)
Sep 29 10:06:46 altair polkitd[559]: Registered Authentication Agent for unix-session:7 (system bus name :1.123 [gnome-shell --mode=gdm], object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale C)
Sep 29 10:07:13 altair gdm-launch-environment][3339]: pam_unix(gdm-launch-environment:session): session closed for user gdm
Sep 29 10:07:18 altair polkitd[559]: Unregistered Authentication Agent for unix-session:7 (system bus name :1.123, object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale C) (disconnected from bus)
Sep 29 10:07:41 altair gdm-password][1071]: pam_unix(gdm-password:session): session closed for user newyork
Sep 29 10:07:45 altair polkitd[559]: Unregistered Authentication Agent for unix-session:2 (system bus name :1.71, object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale en_US.UTF-8) (disconnected from bus)
Sep 29 10:11:33 altair login: pam_unix(login:session): session opened for user root by LOGIN(uid=0)
Sep 29 10:11:33 altair login: ROOT LOGIN ON tty2
Sep 29 10:17:23 altair polkitd[568]: Loading rules from directory /etc/polkit-1/rules.d
Sep 29 10:17:23 altair polkitd[568]: Loading rules from directory /usr/share/polkit-1/rules.d
Sep 29 10:17:23 altair polkitd[568]: Finished loading, compiling and executing 2 rules
Sep 29 10:17:23 altair polkitd[568]: Acquired the name org.freedesktop.PolicyKit1 on the system bus
Sep 29 10:17:24 altair sshd[606]: Server listening on 0.0.0.0 port 22.
Sep 29 10:17:24 altair sshd[606]: Server listening on :: port 22.
Sep 29 10:17:25 altair gdm-launch-environment][663]: pam_unix(gdm-launch-environment:session): session opened for user gdm by (uid=0)
Sep 29 10:17:30 altair polkitd[568]: Registered Authentication Agent for unix-session:1 (system bus name :1.32 [gnome-shell --mode=gdm], object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale C)
Sep 29 10:17:54 altair gdm-launch-environment][663]: pam_unix(gdm-launch-environment:session): session closed for user gdm
Sep 29 10:17:57 altair polkitd[568]: Unregistered Authentication Agent for unix-session:1 (system bus name :1.32, object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale C) (disconnected from bus)
Sep 29 10:21:18 altair polkitd[561]: Loading rules from directory /etc/polkit-1/rules.d
Sep 29 10:21:18 altair polkitd[561]: Loading rules from directory /usr/share/polkit-1/rules.d
Sep 29 10:21:18 altair polkitd[561]: Finished loading, compiling and executing 2 rules
Sep 29 10:21:18 altair polkitd[561]: Acquired the name org.freedesktop.PolicyKit1 on the system bus
Sep 29 10:21:19 altair sshd[603]: Server listening on 0.0.0.0 port 22.
Sep 29 10:21:19 altair sshd[603]: Server listening on :: port 22.
Sep 29 10:21:21 altair gdm-launch-environment][699]: pam_unix(gdm-launch-environment:session): session opened for user gdm by (uid=0)
Sep 29 10:21:26 altair polkitd[561]: Registered Authentication Agent for unix-session:1 (system bus name :1.32 [gnome-shell --mode=gdm], object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale C)
Sep 29 10:21:45 altair gdm-launch-environment][699]: pam_unix(gdm-launch-environment:session): session closed for user gdm
Sep 29 10:21:48 altair polkitd[561]: Unregistered Authentication Agent for unix-session:1 (system bus name :1.32, object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale C) (disconnected from bus)
Sep 29 10:24:56 altair polkitd[535]: Loading rules from directory /etc/polkit-1/rules.d
Sep 29 10:24:57 altair polkitd[535]: Loading rules from directory /usr/share/polkit-1/rules.d
Sep 29 10:24:57 altair polkitd[535]: Finished loading, compiling and executing 2 rules
Sep 29 10:24:57 altair polkitd[535]: Acquired the name org.freedesktop.PolicyKit1 on the system bus
Sep 29 10:24:57 altair sshd[576]: Server listening on 0.0.0.0 port 22.
Sep 29 10:24:58 altair sshd[576]: Server listening on :: port 22.
Sep 29 10:24:59 altair gdm-launch-environment][647]: pam_unix(gdm-launch-environment:session): session opened for user gdm by (uid=0)
Sep 29 10:25:04 altair polkitd[535]: Registered Authentication Agent for unix-session:1 (system bus name :1.32 [gnome-shell --mode=gdm], object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale C)
Sep 29 10:25:33 altair gdm-password][1051]: pam_unix(gdm-password:session): session opened for user newyork by (unknown)(uid=0)
Sep 29 10:25:33 altair gdm-launch-environment][647]: pam_unix(gdm-launch-environment:session): session closed for user gdm
Sep 29 10:25:33 altair polkitd[535]: Unregistered Authentication Agent for unix-session:1 (system bus name :1.32, object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale C) (disconnected from bus)
Sep 29 10:25:44 altair polkitd[535]: Registered Authentication Agent for unix-session:2 (system bus name :1.70 [/usr/bin/gnome-shell], object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale C)
Sep 29 10:26:15 altair gdm-launch-environment][1676]: pam_unix(gdm-launch-environment:session): session opened for user gdm by (uid=0)
Sep 29 10:26:19 altair polkitd[535]: Registered Authentication Agent for unix-session:3 (system bus name :1.97 [gnome-shell --mode=gdm], object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale C)
Sep 29 10:26:46 altair gdm-password][1766]: pam_unix(gdm-password:session): session opened for user detroit by (unknown)(uid=0)
Sep 29 10:26:46 altair gdm-launch-environment][1676]: pam_unix(gdm-launch-environment:session): session closed for user gdm
Sep 29 10:26:46 altair polkitd[535]: Unregistered Authentication Agent for unix-session:3 (system bus name :1.97, object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale C) (disconnected from bus)
Sep 29 10:26:53 altair polkitd[535]: Registered Authentication Agent for unix-session:4 (system bus name :1.130 [/usr/bin/gnome-shell], object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale C)
Sep 29 10:29:27 altair gdm-launch-environment][2408]: pam_unix(gdm-launch-environment:session): session opened for user gdm by (uid=0)
Sep 29 10:29:32 altair polkitd[535]: Registered Authentication Agent for unix-session:5 (system bus name :1.155 [gnome-shell --mode=gdm], object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale C)
Sep 29 10:30:01 altair unix_chkpwd[2498]: password check failed for user (detroit)
Sep 29 10:30:01 altair gdm-password][2492]: pam_unix(gdm-password:auth): authentication failure; logname=detroit uid=0 euid=0 tty=:1 ruser= rhost=  user=detroit
Sep 29 10:30:01 altair gdm-password][2492]: gkr-pam: the password for the login keyring was invalid.
Sep 29 10:30:19 altair gdm-password][2509]: gkr-pam: unlocked login keyring
Sep 29 10:31:54 altair gdm-password][2687]: gkr-pam: unlocked login keyring
Sep 29 10:32:22 altair gdm-password][2740]: gkr-pam: unlocked login keyring
Sep 29 10:32:49 altair gdm-password][2793]: gkr-pam: unlocked login keyring
Sep 29 10:34:34 altair gdm-password][2911]: gkr-pam: unlocked login keyring
Sep 29 10:34:40 altair gdm-password][1766]: pam_unix(gdm-password:session): session closed for user detroit
Sep 29 10:34:40 altair polkitd[535]: Unregistered Authentication Agent for unix-session:4 (system bus name :1.130, object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale C) (disconnected from bus)
Sep 29 10:35:16 altair gdm-password][2997]: pam_unix(gdm-password:session): session opened for user detroit by (unknown)(uid=0)
Sep 29 10:35:16 altair gdm-launch-environment][2408]: pam_unix(gdm-launch-environment:session): session closed for user gdm
Sep 29 10:35:16 altair polkitd[535]: Unregistered Authentication Agent for unix-session:5 (system bus name :1.155, object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale C) (disconnected from bus)
Sep 29 10:35:22 altair polkitd[535]: Registered Authentication Agent for unix-session:6 (system bus name :1.193 [/usr/bin/gnome-shell], object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale C)
Sep 29 10:35:37 altair gdm-password][2997]: pam_unix(gdm-password:session): session closed for user detroit
Sep 29 10:35:38 altair polkitd[535]: Unregistered Authentication Agent for unix-session:6 (system bus name :1.193, object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale C) (disconnected from bus)
Sep 29 10:36:25 altair polkitd[535]: Operator of unix-session:2 successfully authenticated as unix-user:newyork to gain TEMPORARY authorization for action org.gnome.logview.config.date.pkexec.run for unix-process:1307:6936 [/usr/bin/gnome-shell] (owned by unix-user:newyork)
Sep 29 10:36:25 altair pkexec: pam_unix(polkit-1:session): session opened for user root by (uid=1000)
Sep 29 10:36:25 altair pkexec[3497]: newyork: Executing command [USER=root] [TTY=unknown] [CWD=/home/newyork] [COMMAND=/usr/bin/logview]
Sep 29 10:40:59 altair gdm-launch-environment][3752]: pam_unix(gdm-launch-environment:session): session opened for user gdm by (uid=0)
Sep 29 10:41:04 altair polkitd[535]: Registered Authentication Agent for unix-session:7 (system bus name :1.224 [gnome-shell --mode=gdm], object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale C)
Sep 29 10:41:24 altair gdm-password][3833]: pam_unix(gdm-password:session): session opened for user detroit by (unknown)(uid=0)
Sep 29 10:41:24 altair gdm-launch-environment][3752]: pam_unix(gdm-launch-environment:session): session closed for user gdm
Sep 29 10:41:24 altair polkitd[535]: Unregistered Authentication Agent for unix-session:7 (system bus name :1.224, object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale C) (disconnected from bus)
Sep 29 10:41:30 altair polkitd[535]: Registered Authentication Agent for unix-session:8 (system bus name :1.246 [/usr/bin/gnome-shell], object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale C)
Sep 29 10:44:48 altair gdm-password][3833]: pam_unix(gdm-password:session): session closed for user detroit
Sep 29 10:44:48 altair polkitd[535]: Error converting subject to JS object: GDBus.Error:org.freedesktop.DBus.Error.NameHasNoOwner: Could not get PID of name ':1.249': no such name

Expected results:
GDM should require a password each time a user logs out of one account and into another if the remaining account has a password. At the very least, this makes the behavior consistent with SWITCHING between the two accounts where it does require a password before access is granted to another account.

Additional info:
Comment 1 Adam Joseph Cook 2012-09-29 12:13:11 EDT
Could be similar in nature to: https://bugzilla.redhat.com/show_bug.cgi?id=680065
Comment 2 Matthias Clasen 2012-10-02 09:18:49 EDT
I'm not reproducing this here. Switching back to an account that I've fast-user-switched away from ends on the lock screen for me, where I do have to enter a password.

Is screen locking disabled in your account ?
Comment 3 Adam Joseph Cook 2012-10-04 19:04:56 EDT
Yes, I do get the lock screen between switching back and forth between users. However, I do not get the lock screen when I logout of one of the users. The system simply drops me back into the other user upon logout without asking me for any passwords.

I do not have System Settings -> Brightness & Lock -> Lock activated on my system. My assumption was that that lock setting was purely for when the display turns off due to inactivity, not having anything to do with logging on and off between users which were fast switched. If it does, I think that this should be made clearer in the System Settings dialog box.

I will try activating this tonight and will report back.
Comment 4 Matthias Clasen 2012-10-04 22:44:13 EDT
Ah, ok. I am reproducing it now. When screen locking is disabled, this does indeed occur.
Comment 5 Matthias Clasen 2012-10-04 22:47:49 EDT
Filed upstream: https://bugzilla.gnome.org/show_bug.cgi?id=685536
Comment 6 Fedora End Of Life 2013-12-21 03:59:21 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2014-02-05 07:23:11 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.